Method: projects.locations.collections.engines.assistants.agents.a2a.v1.message.send

Send a message to the agent. This is a blocking call that will return the task once it is completed, or a LRO if requested.

HTTP request

POST https://discoveryengine.googleapis.com/v1/{tenant=projects/*/locations/*/collections/*/engines/*/assistants/*/agents/*}/a2a/v1/message:send

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
tenant

string

Optional tenant, provided as a path parameter. Experimental, might still change for 1.0 release.

Request body

The request body contains data with the following structure:

JSON representation
{
  "message": {
    object (Message)
  },
  "configuration": {
    object (SendMessageConfiguration)
  },
  "metadata": {
    object
  }
}
Fields
message

object (Message)

Required. The message to send to the agent.

configuration

object (SendMessageConfiguration)

Configuration for the send request.

metadata

object (Struct format)

Optional metadata for the request.

Response body

////// Response Messages ///////////

If successful, the response body contains data with the following structure:

JSON representation
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "task": {
    object (Task)
  },
  "message": {
    object (Message)
  }
  // End of mutually exclusive fields.
}
Fields
The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
task

object (Task)

message

object (Message)

End of mutually exclusive fields.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

For more information, see the Authentication Overview.